%define		rname qca-ossl
#
%define	snap	beta3
Summary:	Qt Cryptographic Architecture (QCA) SSL/TLS plugin
Summary(pl.UTF-8):	Wtyczka SSL/TLS dla Qt Cryptographic Architecture (QCA)
Name:		qt4-plugin-%{rname}
Version:	2.0.0
Release:	0.%{snap}.4
Epoch:		1
License:	LGPL v2.1
Group:		Libraries
Source0:	http://delta.affinix.com/download/qca/2.0/plugins/qca-ossl-%{version}-%{snap}.tar.bz2
# Source0-md5:	bdc62c01321385c7da8d27b3902910ce
URL:		http://delta.affinix.com/qca/
BuildRequires:	libstdc++-devel
BuildRequires:	openssl-devel >= 0.9.7d
BuildRequires:	qca-devel >= 2.0.0
BuildRequires:	qt4-build
BuildRequires:	qt4-qmake >= 4.3.3-3
BuildRequires:	which
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%define		_plugindir %{_libdir}/qt4/plugins/crypto

# chrpath stripping fails
%define		no_install_post_chrpath	1

%description
A plugin to provide SSL/TLS capability to programs that utilize the Qt
Cryptographic Architecture (QCA).

%description -l pl.UTF-8
Wtyczka pozwalająca wykorzystać możliwości SSL/TLS w programach
korzystających z Qt Cryptographic Architecture (QCA).

%prep
%setup -qn %{rname}-%{version}-%{snap}

%build
export QTDIR=%{_libdir}/qt4
./configure

qmake-qt4 %{rname}.pro \
	QMAKE_CXX="%{__cxx}" \
	QMAKE_LINK="%{__cxx}" \
	QMAKE_CXXFLAGS_RELEASE="%{rpmcflags}" \
	QMAKE_RPATH=

%{__make}

%install
rm -rf $RPM_BUILD_ROOT

%{__make} install \
	INSTALL_ROOT=$RPM_BUILD_ROOT

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(644,root,root,755)
%doc README
%attr(755,root,root) %{_plugindir}/*.so
%changelog
* Sun May 03 2015 PLD Linux Team <feedback@pld-linux.org>
- For complete changelog see: http://git.pld-linux.org/?p=packages/qt4-plugin-qca-ossl.git;a=log;h=master

* Sun May 03 2015 Jan Rękorajski <baggins@pld-linux.org> 432563b
- rel 4

* Mon May 17 2010 sparky <sparky@pld-linux.org> 9360ea0
- BR: qt4-build, which

* Sun Apr 11 2010 Arkadiusz Miśkiewicz <arekm@maven.pl> 1ee606a
- rel .3

* Thu Jul 31 2008 hawk <hawk@pld-linux.org> 57f12bf
- release 2

* Mon Apr 07 2008 Arkadiusz Miśkiewicz <arekm@maven.pl> c8f69fd
- requires_eq no longer needed (we use constant buildkey for qt now)

* Mon Apr 07 2008 Arkadiusz Miśkiewicz <arekm@maven.pl> ef40170
- up to 2.0.0 beta3

* Sun Apr 06 2008 Arkadiusz Miśkiewicz <arekm@maven.pl> dfc961b
- rel .5

* Wed Mar 19 2008 Arkadiusz Miśkiewicz <arekm@maven.pl> 2fae867
- rel .4

* Wed Mar 05 2008 hawk <hawk@pld-linux.org> 690a8db
- %requires_eq QtCore, otherwise plugin doesn't work (ie. with psi)
- release 3

* Fri Jan 04 2008 Jakub Bogusz <qboosh@pld-linux.org> 6b9902d
- use qmake-qt4

* Thu Dec 13 2007 Arkadiusz Miśkiewicz <arekm@maven.pl> 1a419c8
- rel .2

* Wed Oct 17 2007 Arkadiusz Miśkiewicz <arekm@maven.pl> 6dc97ba
- drop old log

* Wed Oct 17 2007 Arkadiusz Miśkiewicz <arekm@maven.pl> 7803f4b
- initial

